Package org.apache.catalina

# Interface ContainerServlet

All Known Implementing Classes:
  `HostManagerServlet`, `HTMLHostManagerServlet`, `HTMLManagerServlet`, `ManagerServlet`

public interface ContainerServlet
A ContainerServlet is a servlet that has access to Catalina internal functionality, and is loaded from the Catalina class loader instead of the web application class loader. The property setter methods must be called by the container whenever a new instance of this servlet is put into service.

Author:
  Craig R. McClanahan

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Wrapper`
  `getWrapper()`
  Obtain the Wrapper with which this Servlet is associated.
  `void`
  `setWrapper(Wrapper wrapper)`
  Set the Wrapper with which this Servlet is associated.

- ## Method Details

  - ### getWrapper

    Wrapper getWrapper()
    Obtain the Wrapper with which this Servlet is associated.
    Returns:
      The Wrapper with which this Servlet is associated.

  - ### setWrapper

    void setWrapper(Wrapper wrapper)
    Set the Wrapper with which this Servlet is associated.
    Parameters:
      `wrapper` - The new associated Wrapper